<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/server/http_status.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_47f992fc4a5d123a396123dd9e441eaf.html">server</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">http_status.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for http_status.h:</div>
<div class="dyncontent">
<div class="center"><img src="http__status_8h__incl.png" border="0" usemap="#backend_2src_2lib_2server_2http__status_8h" alt=""/></div>
<map name="backend_2src_2lib_2server_2http__status_8h" id="backend_2src_2lib_2server_2http__status_8h">
<area shape="rect" title=" " alt="" coords="10,5,174,47"/>
<area shape="rect" title=" " alt="" coords="5,95,85,121"/>
<area shape="rect" title=" " alt="" coords="109,95,168,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="http__status_8h__dep__incl.png" border="0" usemap="#backend_2src_2lib_2server_2http__status_8hdep" alt=""/></div>
<map name="backend_2src_2lib_2server_2http__status_8hdep" id="backend_2src_2lib_2server_2http__status_8hdep">
<area shape="rect" title=" " alt="" coords="99,5,263,47"/>
<area shape="rect" href="http__status_8cpp.html" title=" " alt="" coords="5,95,169,136"/>
<area shape="rect" href="moxit__server_8h.html" title=" " alt="" coords="193,95,357,136"/>
<area shape="rect" href="moxit__server_8cpp.html" title=" " alt="" coords="99,184,263,225"/>
<area shape="rect" href="backend_2src_2main_8cpp.html" title=" " alt="" coords="287,191,450,218"/>
</map>
</div>
</div>
<p><a href="http__status_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structHttpStatus.html">HttpStatus</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a7528222f65ad403ee1a88ff2b56f9fb7"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="http__status_8h.html#a7528222f65ad403ee1a88ff2b56f9fb7">byte</a> = unsigned char</td></tr>
<tr class="separator:a7528222f65ad403ee1a88ff2b56f9fb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:aba9d0a1391baa205608ee827e3fbd21a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21a">REQUEST_STATUS</a> { <a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21aa26fccddf2f94b1685b184267996e10f8">REQUEST_STATUS::Reading</a>, 
<a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21aaaf96ab416602c6852b1ba5201feaacf6">REQUEST_STATUS::Writing</a>, 
<a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21aa0157fbb99be9622bdaa6e544270c0622">REQUEST_STATUS::Ended</a>
 }</td></tr>
<tr class="separator:aba9d0a1391baa205608ee827e3fbd21a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aee6a7d04066e6d670e1acb32f71629a2"><td class="memItemLeft" align="right" valign="top">constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="http__status_8h.html#aee6a7d04066e6d670e1acb32f71629a2">MAX_BUFFER_SIZE</a> = 10000</td></tr>
<tr class="separator:aee6a7d04066e6d670e1acb32f71629a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a7528222f65ad403ee1a88ff2b56f9fb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7528222f65ad403ee1a88ff2b56f9fb7">&#9670;&nbsp;</a></span>byte</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="http__status_8h.html#a7528222f65ad403ee1a88ff2b56f9fb7">byte</a> =  unsigned char</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="aba9d0a1391baa205608ee827e3fbd21a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba9d0a1391baa205608ee827e3fbd21a">&#9670;&nbsp;</a></span>REQUEST_STATUS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="http__status_8h.html#aba9d0a1391baa205608ee827e3fbd21a">REQUEST_STATUS</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="aba9d0a1391baa205608ee827e3fbd21aa26fccddf2f94b1685b184267996e10f8"></a>Reading&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aba9d0a1391baa205608ee827e3fbd21aaaf96ab416602c6852b1ba5201feaacf6"></a>Writing&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aba9d0a1391baa205608ee827e3fbd21aa0157fbb99be9622bdaa6e544270c0622"></a>Ended&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aee6a7d04066e6d670e1acb32f71629a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee6a7d04066e6d670e1acb32f71629a2">&#9670;&nbsp;</a></span>MAX_BUFFER_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr size_t MAX_BUFFER_SIZE = 10000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
